From 00a64a1b71f67aac785ff59a695879939b90d359 Mon Sep 17 00:00:00 2001
From: Weixin Zhou <zwx@rock-chips.com>
Date: Tue, 2 Mar 2021 09:41:19 +0800
Subject: [PATCH] arm64: dts: rk3566-rk817-eink-w103: add backlight support

Signed-off-by: Weixin Zhou <zwx@rock-chips.com>
Change-Id: I7bd44e586697b93f8569dbabc59c2c416df92859
---
 .../boot/dts/rockchip/rk3566-rk817-eink-w103.dts   | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/arch/arm64/boot/dts/rockchip/rk3566-rk817-eink-w103.dts b/arch/arm64/boot/dts/rockchip/rk3566-rk817-eink-w103.dts
index ae5122fcfcb6..60facd720fda 100644
--- a/arch/arm64/boot/dts/rockchip/rk3566-rk817-eink-w103.dts
+++ b/arch/arm64/boot/dts/rockchip/rk3566-rk817-eink-w103.dts
@@ -230,6 +230,7 @@
 
 &ebc_dev {
 	pmic = <&tps65185>;
+	backlight = <&backlight>;
 	status = "okay";
 #if 0
 	/* ED097TC2U1 */
@@ -569,7 +570,7 @@
 				regulator-name = "vcc3v3_pmu";
 				regulator-state-mem {
 					regulator-on-in-suspend;
-					regulator-suspend-microvolt = <3000000>;
+					regulator-suspend-microvolt = <3300000>;
 					regulator-changeable-in-suspend;
 				};
 			};
@@ -1026,6 +1027,17 @@
 		<&vdda0v9_pmu>, <&vcca1v8_pmu>, <&vcc3v3_pmu>, <&vccio_acodec>, <&vccio_sd>,
 		<&vcc1v8_dvp>, <&dcdc_boost>, <&otg_switch>;
 	rockchip,regulator-on-in-mem-ultra = <&vdd_cpu>, <&sleep_sta_ctl>;
+
+	rockchip,sleep-mode-config = <
+		(0
+		 | RKPM_SLP_ARMOFF_LOGOFF
+		 | RKPM_SLP_CENTER_OFF
+		 | RKPM_SLP_HW_PLLS_OFF
+		 | RKPM_SLP_PMUALIVE_32K
+		 | RKPM_SLP_PMIC_LP
+		 | RKPM_SLP_32K_PVTM
+		)
+	>;
 };
 
 &saradc {
-- 
2.17.1

